%define _disable_ld_no_undefined 1

%global __requires_exclude libafsrpc.so

%define _legacy_common_support 1

%define dkms_version %{version}-%{release}

%define module       libafs

%define major        2
%define libname      %mklibname %{name} %{major}
%define develname    %mklibname %{name} -d
%define stdevelname  %mklibname %{name} -d -s

Name:           openafs
Version:        1.9.0
%define         subrel 1
Release:        %mkrel 1
Summary:        OpenAFS distributed filesystem
Group:          Networking/Other
License:        IBM
URL:            http://openafs.org/
Source0:        http://www.openafs.org/dl/openafs/%{version}/openafs-%{version}-src.tar.bz2
Source1:        http://www.openafs.org/dl/openafs/%{version}/openafs-%{version}-doc.tar.bz2
Source2:        http://grand.central.org/dl/cellservdb/CellServDB.2017-03-14
Source3:        openafs-client.service
### This source isn't used, so let's comment it out for now.
##      Source4:        openafs.config
Source5:        openafs-server.service
Source6:        openafs.sysconfig
Source7:        openafs-cacheinfo
Patch0:		openafs-1.8.0-linking.patch
Patch1:		openafs-autoconf.patch
# kernel 5.11 fixes
Patch2:		Linux-Refactor-test-for-32bit-compat.patch
Patch3:		Linux-5.11-Test-32bit-compat-with-in_compat_syscall.patch
# kernel 5.12 fixes
Patch4:		Linux-Create-wrapper-for-setattr_prepare.patch
Patch5:		Linux-5.12-Add-user_namespace-param-to-inode-ops.patch

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(mit-krb5)
Requires:       kmod(libafs)
Conflicts:      krbafs-utils
Conflicts:      coda-debug-backup


%description
AFS is a distributed filesystem allowing cross-platform sharing of files
among multiple computers. Facilities are provided for access control,
authentication, backup and administrative management.

This package provides common files shared across all the various
OpenAFS packages but are not necessarily tied to a client or server.

%package        client
Summary:        OpenAFS filesystem client
Group:          Networking/Other
Requires:       %{name} = %{version}
Requires(post,preun): rpm-helper

%description    client
AFS is a distributed filesystem allowing cross-platform sharing of files
among multiple computers. Facilities are provided for access control,
authentication, backup and administrative management.

This package provides basic client support to mount and manipulate
AFS.

%package        server
Summary:        OpenAFS filesystem server
Group:          Networking/Other
Requires:       %{name}-client = %{version}
Requires(post,preun): rpm-helper

%description    server
AFS is a distributed filesystem allowing cross-platform sharing of files
among multiple computers. Facilities are provided for access control,
authentication, backup and administrative management.

This package provides basic server support to host files in an AFS
cell.

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with %{name}.

%package -n     %{develname}
Summary:        Libraries and header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the static development libraries and headers needed
to compile applications linked with OpenAFS libraries.


%package -n     %{stdevelname}
Summary:        Static libraries and header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel-static = %{version}-%{release}

%description -n %{stdevelname}
This package contains the static development libraries and headers needed
to compile applications linked with OpenAFS libraries.


%package -n     dkms-%{module}
Summary:        DKMS-ready kernel source for AFS distributed filesystem
Group:          Development/Kernel
BuildArch:      noarch
Provides:       openafs-kernel-source
Requires:       dkms >= 2.0.19-37
Requires(post): dkms >= 2.0.19-37
Requires(preun): dkms >= 2.0.19-37
Requires(pre):  flex
Provides:       kmod(libafs)

%description -n dkms-%{module}
This package provides the AFS kernel module.

%package        doc
Summary:        OpenAFS doc
Group:          Networking/Other
BuildArch:      noarch

%description    doc
This packages provides the documentation for OpenAFS.


%prep
%setup -q -T -b 0
%setup -q -T -D -b 1
%autopatch -p1

%build
./regen.sh

%define sysname %{_arch}_linux26

%ifarch x86_64
%define sysname amd64_linux26
%endif

%ifarch aarch64
%define sysname arm64_linux26
%endif

%configure \
	--disable-kernel-module \
	--with-afs-sysname=%{sysname}

%make_build all_nolibafs XCFLAGS="%{optflags}"
%make_build libafs_tree XCFLAGS="%{optflags}"

%install
%__make install_nolibafs DESTDIR=%{buildroot}

# cache
install -m 755 -d %{buildroot}%{_var}/cache/%{name}

# configuration
install -m 755 -d %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{SOURCE2}  %{buildroot}%{_sysconfdir}/%{name}/CellServDB.dist
install -m 644 src/packaging/RedHat/openafs-ThisCell  %{buildroot}%{_sysconfdir}/%{name}/ThisCell
install -m 644 %{SOURCE7}  %{buildroot}%{_sysconfdir}/%{name}/cacheinfo


# Systemd
install -m 755 -d %{buildroot}%{_unitdir}
install -m 755 -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 755 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}-client.service
install -m 755 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}-server.service
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# kernel module
install -d -m 755 %{buildroot}%{_prefix}/src
cp -a libafs_tree %{buildroot}%{_prefix}/src/%{module}-%{dkms_version}

cat > %{buildroot}%{_prefix}/src/%{module}-%{dkms_version}/dkms.conf <<EOF

PACKAGE_VERSION="%{dkms_version}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="SMP=SP; eval \\\`grep CONFIG_SMP /boot/config-\${kernelver_array[0]}\\\`; [ -n \"\\\$CONFIG_SMP\" ] && SMP=MP; ./configure --with-linux-kernel-headers=\${kernel_source_dir}; make -j\${parallel_jobs} MPS=\\\$SMP; mv src/libafs/MODLOAD-*/libafs.ko ."
CLEAN="make -C src/libafs clean"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/\$PACKAGE_NAME/"

AUTOINSTALL=yes

EOF

# clean up stuff that we don't want to package

# DCE security system stuff -- wasn't included before -- is this
# of use to anyone?
#rm %{buildroot}%{_bindir}/dpass

# this is coming out 0 bytes. And it wasn't getting packaged before.
# rm %{buildroot}%{_sbindir}/kdump

# we don't use these.... Red Hat has its own pam_krb5afs modules.
# maybe in the future, we could configure these instead....
#rm %{buildroot}%{_libdir}/pam_afs.krb.so.1
#rm %{buildroot}%{_libdir}/pam_afs.so.1

# rename binaries and man page to avoid some conflicts
#mv %{buildroot}%{_bindir}/kpasswd{,.afs}
mv %{buildroot}%{_bindir}/pagsh{,.afs}
mv %{buildroot}%{_bindir}/up{,.afs}
#mv %{buildroot}%{_mandir}/man1/kpasswd.1 \
#    %{buildroot}%{_mandir}/man1/kpasswd.afs.1
mv %{buildroot}%{_mandir}/man1/pagsh.1 \
    %{buildroot}%{_mandir}/man1/pagsh.afs.1
mv %{buildroot}%{_mandir}/man1/up.1 \
    %{buildroot}%{_mandir}/man1/up.afs.1
mv %{buildroot}%{_mandir}/man8/upclient.8 \
    %{buildroot}%{_mandir}/man8/upclient.afs.8

# fix generated files
#perl -pi -e 's|%{_builddir}/%{name}-%{version}/src|../..|' \
#    %{buildroot}%{_prefix}/src/libafs-%{version}-%{release}/src/config/Makefile.version

touch %{buildroot}%{_sysconfdir}/openafs/ThisCell
chmod 644 %{buildroot}%{_sysconfdir}/openafs/ThisCell

%post client

# Create the CellServDB
# We need to do this before starting the service

[ -f /etc/openafs/CellServDB.local ] || touch /etc/openafs/CellServDB.local

( cd /etc/openafs ; \
  cat CellServDB.local CellServDB.dist > CellServDB ; \
  chmod 644 CellServDB )

%_post_service %{name}-client
if [ ! -e /afs ]; then
	mkdir /afs
fi


%preun client
%_preun_service %{name}-client

%post server
%_post_service %{name}-server

%preun server
%_preun_service %{name}-server

%post -n dkms-%{module}
dkms add -m %{module} -v %{dkms_version} --rpm_safe_upgrade
dkms build -m %{module} -v %{dkms_version} --rpm_safe_upgrade
dkms install -m %{module} -v %{dkms_version} --rpm_safe_upgrade

%preun -n dkms-%{module}
dkms remove -m %{module} -v %{dkms_version} --rpm_safe_upgrade --all ||:

%files
%doc README NEWS
%{_bindir}/afs_compile_et
%{_bindir}/afsmonitor
%{_bindir}/akeyconvert
%{_bindir}/aklog
%{_bindir}/asetkey
%{_bindir}/bos
%{_bindir}/fs
#{_bindir}/klog
#{_bindir}/klog.krb
%{_bindir}/klog.krb5
#{_bindir}/knfs
%{_bindir}/afsio
#{_bindir}/kpasswd.afs
#{_bindir}/kpwvalid
%{_bindir}/livesys
%{_bindir}/pagsh.afs
%{_bindir}/pagsh.krb
%{_bindir}/pts
%{_bindir}/scout
%{_bindir}/sys
%{_bindir}/tokens
%{_bindir}/tokens.krb
%{_bindir}/translate_et
%{_bindir}/udebug
%{_bindir}/unlog
%{_bindir}/restorevol
%{_sbindir}/backup
%{_sbindir}/dafssync-debug
%{_sbindir}/fssync-debug
%{_sbindir}/salvsync-debug
%{_sbindir}/state_analyzer
%{_sbindir}/afsd.fuse
%{_sbindir}/bos_util
%{_sbindir}/butc
%{_sbindir}/fms
%{_sbindir}/fstrace
#{_sbindir}/kas
%{_sbindir}/read_tape
%{_sbindir}/rxdebug
%{_sbindir}/rxstat_clear_peer
%{_sbindir}/rxstat_clear_process
%{_sbindir}/rxstat_disable_peer
%{_sbindir}/rxstat_disable_process
%{_sbindir}/rxstat_enable_peer
%{_sbindir}/rxstat_enable_process
%{_sbindir}/rxstat_get_peer
%{_sbindir}/rxstat_get_process
%{_sbindir}/rxstat_get_version
%{_sbindir}/rxstat_query_peer
%{_sbindir}/rxstat_query_process
%{_sbindir}/uss
%{_sbindir}/vos
%{_datadir}/%{name}/
%{_mandir}/man1/afsmonitor.1*
%{_mandir}/man1/fs.1*
#{_mandir}/man1/klog.1*
#{_mandir}/man1/knfs.1*
%{_mandir}/man1/livesys.1*
%{_mandir}/man1/pagsh.afs.1*
%{_mandir}/man1/pts.1*
%{_mandir}/man1/scout.1*
%{_mandir}/man1/sys.1*
%{_mandir}/man1/tokens.1*
%{_mandir}/man1/translate_et.1*
%{_mandir}/man1/udebug.1*
%{_mandir}/man1/unlog.1*
%{_mandir}/man1/rxdebug.1*
%{_mandir}/man1/vos.1*
#{_mandir}/man1/kpasswd.afs.1*

%files client
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}-client.service
%{_bindir}/cmdebug
%{_bindir}/up.afs
%{_sbindir}/afsd
%{_mandir}/man1/up.afs.1*
%{_var}/cache/%{name}

%files server
%{_unitdir}/%{name}-server.service
%{_sbindir}/bosserver
#{_sbindir}/ka-forwarder
#{_sbindir}/kadb_check
#{_sbindir}/kdb
#{_sbindir}/kpwvalid
%{_sbindir}/prdb_check
%{_sbindir}/pt_util
%{_sbindir}/rmtsysd
%{_sbindir}/vldb_check
%{_sbindir}/vldb_convert
%{_sbindir}/voldump
%{_sbindir}/volinfo
%{_sbindir}/volscan
%{_sbindir}/vsys
%{_libdir}/openafs
%{_libexecdir}/openafs
%{_mandir}/man8/bosserver.8*
#{_mandir}/man8/kadb_check.8*
#{_mandir}/man8/kdb.8*
#{_mandir}/man8/kpwvalid.8*
%{_mandir}/man8/prdb_check.8*
%{_mandir}/man8/vldb_check.8*
%{_mandir}/man8/voldump.8*
%{_mandir}/man8/volinfo.8*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{stdevelname}
%{_libdir}/*.a

%files -n %{develname}
%{_bindir}/rxgen
%{_bindir}/xstat_cm_test
%{_bindir}/xstat_fs_test
%{_includedir}/*.h
%{_includedir}/afs/
%{_includedir}/opr/
%{_includedir}/rx/
%{_libdir}/*.so
%{_libdir}/afs/

%files -n dkms-%{module}
%{_prefix}/src/%{module}-%{dkms_version}

%files doc
%doc doc/pdf doc/txt
%{_mandir}/man?/*
%exclude %{_mandir}/man1/afsmonitor.1*
%exclude %{_mandir}/man1/fs.1*
#exclude %%{_mandir}/man1/klog.1*
#exclude %%{_mandir}/man1/knfs.1*
%exclude %{_mandir}/man1/livesys.1*
%exclude %{_mandir}/man1/pagsh.afs.1*
%exclude %{_mandir}/man1/pts.1*
%exclude %{_mandir}/man1/scout.1*
%exclude %{_mandir}/man1/sys.1*
%exclude %{_mandir}/man1/tokens.1*
%exclude %{_mandir}/man1/translate_et.1*
%exclude %{_mandir}/man1/udebug.1*
%exclude %{_mandir}/man1/unlog.1*
%exclude %{_mandir}/man1/rxdebug.1*
%exclude %{_mandir}/man1/vos.1*
%exclude %{_mandir}/man1/up.afs.1*
#exclude %%{_mandir}/man1/kpasswd.afs.1*
%exclude %{_mandir}/man8/bosserver.8*
#exclude %%{_mandir}/man8/kadb_check.8*
#exclude %%{_mandir}/man8/kdb.8*
#exclude %%{_mandir}/man8/kpwvalid.8*
%exclude %{_mandir}/man8/prdb_check.8*
%exclude %{_mandir}/man8/vldb_check.8*
%exclude %{_mandir}/man8/voldump.8*
%exclude %{_mandir}/man8/volinfo.8*


%changelog
* Tue Aug 24 2021 tmb <tmb> 1.9.0-1.1.mga8
+ Revision: 1742473
- Linux: Refactor test for 32bit compat
- Linux 5.11: Test 32bit compat with in_compat_syscall
- Linux: Create wrapper for setattr_prepare
- Linux 5.12: Add user_namespace param to inode ops

* Sat Nov 28 2020 tmb <tmb> 1.9.0-1.mga8
+ Revision: 1649959
- update to 1.9.0

* Sat Oct 31 2020 wally <wally> 1.8.6-3.mga8
+ Revision: 1640913
- fix build with autoconf > 2.69

* Sat Aug 08 2020 luigiwalser <luigiwalser> 1.8.6-2.mga8
+ Revision: 1612070
- remove unnecessary obsoletes
- try using macro to enable -fcommon

* Sun Jul 26 2020 luigiwalser <luigiwalser> 1.8.6-1.mga8
+ Revision: 1609140
- 1.8.6
- remove upstream patches
- build with -fcommon flag to allow build with GCC 10.x

* Tue Apr 21 2020 tmb <tmb> 1.8.5-3.mga8
+ Revision: 1570568
- add support for kernel 5.6 series

* Tue Feb 18 2020 umeabot <umeabot> 1.8.5-2.mga8
+ Revision: 1539223
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 03 2019 tmb <tmb> 1.8.5-1.mga8
+ Revision: 1464167
- update to 1.8.5
  * drop merged patches

* Sat Aug 24 2019 tmb <tmb> 1.8.3-1.mga8
+ Revision: 1431801
- update to 1.8.3 for kernel 5.1+ support (mga#25342)
- LINUX: correct include for ktime_get_coarse_real_ts64()
- LINUX: Avoid lookup ENOENT on fatal signals
- LINUX 5.3.0: Use send_sig instead of force_sig
- LINUX 5.3.0: Check for 'recurse' arg in keyring_search

* Tue Jan 01 2019 luigiwalser <luigiwalser> 1.8.2-1.mga7
+ Revision: 1347817
- add patch from debian to fix build error
- remove unnecessary autoreconf call
- 1.8.2
- remove upstream patches

* Sun Sep 23 2018 umeabot <umeabot> 1.8.0-3.mga7
+ Revision: 1299973
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 wally <wally> 1.8.0-2.mga7
+ Revision: 1236345
- new lib major 2
- new version 1.8.0
- add patches from upstream to really fix build on aarch64
- add patch to fix linking
- drop multiarch support

* Mon Jun 11 2018 wally <wally> 1.6.22.2-2.mga7
+ Revision: 1236295
- fix build on aarch64

* Fri Apr 13 2018 kekepower <kekepower> 1.6.22.2-1.mga7
+ Revision: 1218349
- Update to version 1.6.22.2
- Remove merged patches

* Sat Dec 16 2017 tmb <tmb> 1.6.22-1.mga7
+ Revision: 1182757
- update to 1.6.22
- add fixes for 4.14 series kernel (debian)
- Update CellServDB to 2017-03-14

* Thu Aug 31 2017 daviddavid <daviddavid> 1.6.20.1-2.mga7
+ Revision: 1150066
- honor user CFLAGS thus fixing empty debugsourcefiles.list
- compile with level 4

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.6.20.1-1.mga6
+ Revision: 1078991
- 1.6.20.1

* Thu Dec 01 2016 luigiwalser <luigiwalser> 1.6.20-1.mga6
+ Revision: 1071493
- 1.6.20

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.6.18.3-1.mga6
+ Revision: 1045557
- 1.6.18.3

* Wed Jun 22 2016 tmb <tmb> 1.6.18-2.mga6
+ Revision: 1037213
- hook into parallel build support

* Tue May 10 2016 luigiwalser <luigiwalser> 1.6.18-1.mga6
+ Revision: 1011805
- 1.6.18

* Fri Mar 18 2016 luigiwalser <luigiwalser> 1.6.17-1.mga6
+ Revision: 992848
- 1.6.17

* Tue Feb 16 2016 umeabot <umeabot> 1.6.15-2.mga6
+ Revision: 961820
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 luigiwalser <luigiwalser> 1.6.15-1.mga6
+ Revision: 896720
- 1.6.15 (fixes CVE-2015-7762 and CVE-2015-7763)

* Fri Jul 31 2015 luigiwalser <luigiwalser> 1.6.13-1.mga6
+ Revision: 860184
- 1.6.13 (fixes CVE-2015-328[2-7])

* Fri Mar 06 2015 luigiwalser <luigiwalser> 1.6.11-1.mga5
+ Revision: 817955
- 1.6.11

* Tue Dec 09 2014 luigiwalser <luigiwalser> 1.6.10-2.mga5
+ Revision: 802454
- 1.6.10
- sync changes from Mageia 4 update by Thomas Spuhler:
  - removed in the service files "After=syslog.target"
    * we do not require syslog and it prevents the service from starting
  - removed "Source4: openafs.config as it's not being used"
  - removed "Patch0: openafs-1.6.1-afsd-sys-resource-h.patch"
    * it's not clear why we have it. There is no such patch upstream
  - replaced file name CellServDB with a dated name to be more clear
    which file we use
  - removed wrong afs.conf and replaced it with openafs.sysconfig from
    src package (Redhat)
  - replaced .service files with those from upstream src/packaging/Redhat
    * changed paths to comply with Mageia
  - added openafs-cacheinfo file and adapted paths
  - added the script # Create the CellServDB because we need those files
  - added some files to section # configuration of spec
- restore openafs from obsolete
+ sander85 <sander85>
- Unmaintained + security issues

* Wed Oct 15 2014 umeabot <umeabot> 1.6.9-5.mga5
+ Revision: 747281
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.6.9-4.mga5
+ Revision: 734783
- adapt to new kmod() deps

* Wed Sep 24 2014 tmb <tmb> 1.6.9-3.mga5
+ Revision: 724102
- adapt to new kmod provides

* Tue Sep 16 2014 umeabot <umeabot> 1.6.9-2.mga5
+ Revision: 683182
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Aug 31 2014 luigiwalser <luigiwalser> 1.6.9-1.mga5
+ Revision: 670143
- 1.6.9 (fixes CVE-2014-4044)

* Thu Apr 10 2014 luigiwalser <luigiwalser> 1.6.7-1.mga5
+ Revision: 613300
- 1.6.7 (fixes CVE-2014-0159)

* Tue Oct 22 2013 umeabot <umeabot> 1.6.5.1-2.mga4
+ Revision: 544820
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 1.6.5.1-1.mga4
+ Revision: 500309
- 1.6.5.1

* Thu Jul 25 2013 luigiwalser <luigiwalser> 1.6.5-1.mga4
+ Revision: 458054
- 1.6.5 (fixes CVE-2013-4134 and CVE-2013-4135)

* Tue Jul 23 2013 luigiwalser <luigiwalser> 1.6.4-1.mga4
+ Revision: 457513
- 1.6.4
- call service scriplets for openafs-server service

* Thu May 02 2013 luigiwalser <luigiwalser> 1.6.2.1-1.mga3
+ Revision: 411888
- 1.6.2.1
- remove patches 1, 2, 3, and 4 (upstreamed)
- do not remove pam_afs (broken in r288605)

* Tue Mar 05 2013 luigiwalser <luigiwalser> 1.6.1-6.mga3
+ Revision: 401500
- add patches from debian to fix CVE-2013-179[45]

* Sun Jan 13 2013 umeabot <umeabot> 1.6.1-5.mga3
+ Revision: 361883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 1.6.1-4.mga3
+ Revision: 337514
- Fix for _libdir != _libexecdir

* Fri Nov 16 2012 fwang <fwang> 1.6.1-3.mga3
+ Revision: 318557
- set dkms as noarch
- doc is a noarch package

* Mon Oct 22 2012 gw666 <gw666> 1.6.1-2.mga3
+ Revision: 309191
- fix service scripts, see bug #7085

* Wed Sep 05 2012 fedya <fedya> 1.6.1-1.mga3
+ Revision: 288605
- version update 1.6.1 + systemd.services + fix of #6008

* Tue May 08 2012 pterjan <pterjan> 1.4.14-2.mga2
+ Revision: 234945
- Fix initscripts' LSB headers

* Tue Feb 01 2011 dmorgan <dmorgan> 1.4.14-1.mga1
+ Revision: 46006
- Remove mdv macros
- imported package openafs


* Mon Jan 31 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.14-1mdv2011.0
+ Revision: 634432
- update to new version 1.4.14

* Fri Jul 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.12.1-1mdv2011.0
+ Revision: 554107
- new version

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.12-1mdv2010.1
+ Revision: 518826
- fix file lists
- 1.4.12

* Thu Aug 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.11-2mdv2010.0
+ Revision: 418737
- mark  /etc/openafs/ThisCell as ghost
- use /afs by default (fix #53008)

* Thu Jul 16 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.11-1mdv2010.0
+ Revision: 396581
- fix build
- 1.4.11

* Tue Apr 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.10-1mdv2009.1
+ Revision: 364838
- new version

* Sun Mar 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.8-2mdv2009.1
+ Revision: 355544
- patch0: 2.6.29 kernel support

* Fri Nov 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.8-1mdv2009.1
+ Revision: 303172
- new version

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-5mdv2009.1
+ Revision: 297787
- 2.6.26 support

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-4mdv2009.1
+ Revision: 296102
- fix build with kernel 2.6.27

* Wed Oct 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-3mdv2009.0
+ Revision: 290689
- fix a conflict with heimdal

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.4.7-2mdv2009.0
+ Revision: 265202
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-1mdv2009.0
+ Revision: 202374
- new version

* Wed Mar 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.6-2mdv2008.1
+ Revision: 189049
- 2.6.24 kernel support, using upstream patches

* Fri Dec 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 136637
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1.4.5-3mdv2008.1
+ Revision: 109200
- rebuild for new lzma

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.5-2mdv2008.1
+ Revision: 105266
- new devel policy
- fix license

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.5-1mdv2008.1
+ Revision: 104664
- new version

* Fri Aug 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-4mdv2008.0
+ Revision: 70882
- add an initscript for server (fix #32258), and rework client init script a little bit

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-3mdv2008.0
+ Revision: 65017
- two patches from upstream CVS for kernel >= 2.6.22 (fix #32421)

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.4-2mdv2008.0
+ Revision: 48241
- using serverbuild macro (-fstack-protector-all)

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.4.4-1mdv2008.0
+ Revision: 27653
- Updated to 1.4.4.
- Updated CellServDB file with the latest version (09 Mar 2007).
- spec identation fixes.


* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-3mdv2007.0
+ Revision: 93760
- bump release
- make the main package requires the kernel module
- fix dkms build

* Tue Nov 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-2mdv2007.1
+ Revision: 83984
- new version

* Fri Nov 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-7mdv2007.0
+ Revision: 80584
- soft dependency on dkms for init script

* Wed Nov 01 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.1-6mdv2007.1
+ Revision: 75057
- BuildRequires: byacc -> bison
- Import openafs

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.1-5mdv2007.0
- Rebuild

* Fri Sep 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-4mdv2007.0
- more dependencies in init script

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-3mdv2007.0
- LSB-compliant init script
- really fix conflict with liblwp2-devel
- add explicit provides to dkms module

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-2mdv2007.0
- fix various conflicts, by renaming binaries and man pages, and conflicting explicitely for libraries
- move some man page among subpackages

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdk
- New release 1.4.1
- don't bzip additional sources

* Fri Dec 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.0-5mdk
- dkms package requires flex

* Wed Nov 09 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.0-4mdk
- removed conflicts with krb5-workstation
- removed automake1.4 buildrequires

* Tue Nov 08 2005 Pascal Terjan <pterjan@mandriva.org> 1.4.0-3mdk
- add release in DKMS version

* Wed Nov 02 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.0-2mdk
- enabled krb5 build

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.0-1mdk
- New release 1.4.0

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.87-3mdk
- fix dkms subpackage dependencies

* Wed Aug 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.87-2mdk
- fix multiarch
- fix directory ownership for includes
- %%mkrel
- conflict with coda-debug-backup
- less strict requires
- fix doc perms

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.87-1mdk
- New release 1.3.87

* Tue Aug 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.86-1mdk
- New release 1.3.86
- dropped patches

* Wed Jun 15 2005 Pascal Terjan <pterjan@mandriva.org> 1.3.84-2mdk
- Fix kernel module build (P1)
- Cleanup P0 use

* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.84-1mdk
- New release 1.3.84

* Fri Jun 10 2005 Pascal Terjan <pterjan@mandriva.org> 1.3.82-3mdk
- Fix gcc4 build

* Wed May 18 2005 Pascal Terjan <pterjan@mandriva.org> 1.3.82-2mdk
- Transform kernel-source into dkms
- Don't require libafsrpc.so even if it has no SONAME

* Tue May 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.82-1mdk
- New release 1.3.82

* Tue Apr 12 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.3.81-1mdk
- New release 1.3.81

* Wed Mar 23 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.3.80-1mdk
- New release 1.3.80
- fix rpmbuildupdate support

* Fri Mar 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.3.79-1mdk 
- new version
- don't own mount point, it prevent upgrade when filesystem is mounted
- drop patch4 (merged upstream)

* Mon Feb 07 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.3.78-1mdk 
- new version
- drop all patches except p4
- fix x86_64 build

* Tue Jan 25 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.3.77-2mdk 
- explicit conflicts (Marek Kruz.el <marek@good.solutions.net.pl>)
- custom init script
- default mount point /mnt/afs
- spec cleanup
- no more useless config files
- fix multiarch issues

* Wed Jan 19 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.3.77-1mdk 
- first mdk release, based on a spec file stolen from  Matthew Miller <mattdm@mattdm.org>

